//
//  TEduBoardResourceController.h
//  TEduBoard
//
//  Created by 张小桥 on 2021/12/29.
//  Copyright © 2021 kennethmiao. All rights reserved.
//

#import <Foundation/Foundation.h>


NS_ASSUME_NONNULL_BEGIN

/**
 * @ingroup def
 * @brief 资源加载配置项
*/
@interface TEduBoardResourceConfig : NSObject
@property (nonatomic, assign) NSInteger sdkAppId;        ///< 应用标识
@property (nonatomic, strong) NSString* userId;         ///< 用户标识
@end


@interface TEduBoardResourceController : NSObject
/**
 * @brief 设置资源加载config
 */
+ (void)setConfig:(TEduBoardResourceConfig *)config;

/**
 * @brief 用于课件预加载，减少课件的加载时间
 * @warning loadResource之前请先调用 `[TEduBoardResourceController setConfig:]`
 * @warning iOS 11.4、macOS 11.0以上系统有效
 */
+ (BOOL)loadResource:(NSString *)zipUrl;

@end

NS_ASSUME_NONNULL_END
